%define major	4
%define libname	%mklibname usbmuxd %{major}
%define devname	%mklibname usbmuxd -d

Name:		libusbmuxd
Version:	1.0.10
Release:	%mkrel 3
Summary:	Client library USB multiplex daemon for Apple's iOS devices
Group:		System/Libraries
License:	LGPLv2+
Url:		http://www.libimobiledevice.org/ 
Source0:	http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2
Patch0:		libusbmuxd-1.0.10-listen-local.patch
BuildRequires:	pkgconfig(libplist) >= 1.11

%description
libusbmuxd is the client library used for communicating with Apple's iPod Touch,
iPhone, iPad and Apple TV devices. It allows multiple services on the device to
be accessed simultaneously.

#-------------------------------------------------

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library to access the usbmuxd daemon

%description -n	%{libname}
libusmuxd is used to communicate with the usbmuxd daemon by apps wishing to 
interact with Apple's iPod Touch and iPhone.

#-------------------------------------------------

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
Files for development with %{name}.

#-------------------------------------------------
%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std 

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/iproxy

%files -n %{libname}
%doc README AUTHORS
%license COPYING
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu May 26 2016 luigiwalser <luigiwalser> 1.0.10-3.mga6
+ Revision: 1018694
- add upstream patch to only listen on loopback network interface

* Thu Feb 11 2016 umeabot <umeabot> 1.0.10-2.mga6
+ Revision: 955716
- Mageia 6 Mass Rebuild

* Thu Sep 10 2015 daviddavid <daviddavid> 1.0.10-1.mga6
+ Revision: 876271
- imported package libusbmuxd (based on Fedora and Openmandriva)

